{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.quetzal.fly": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            "idle"
          ],
          "transitions": [
            {
              "flying": "!query.is_on_ground || variable.wing_flap > 0"
            },
            {
              "cleaning": "math.cos(query.life_time*0.1 + math.random(1, 3)) > 0.5"
            }
          ]
        },
        "flying": {
          "animations": [
            "flying"
          ],
          "transitions": [
            {
              "default": "query.is_on_ground"
            }
          ]
        },
        "cleaning": {
          "animations": [
            "cleaning"
          ],
          "transitions": [
            {
              "default": "query.all_animations_finished"
            },
            {
              "flying": "!query.is_on_ground || variable.wing_flap > 0"
            }
          ]
        }
      }
    }
  }
}
